I		=<MU>include
L		=<MU>lib.o.libc
B		=<MU>arm.drives.bin.
CFLAGS		=-D_POSIX_SOURCE -D_MINIX

.c.o:
		cc -c -j$(I) -i<MU>src.tools $(CFLAGS) -o $@ $<

ALL=		$(B)at $(B)atrun $(B)cat $(B)chmod\
		$(B)chown $(B)cmp $(B)comm $(B)coredump $(B)cp\
		$(B)cron $(B)date $(B)df $(B)diff $(B)du\
		$(B)echo $(B)expr $(B)fgrep $(B)file $(B)find\
		$(B)fsck $(B)getty $(B)grep $(B)id $(B)inodes $(B)kill\
		$(B)ln $(B)login $(B)ls $(B)machine $(B)mkdir\
		$(B)mkfs $(B)mknod $(B)mkproto $(B)more $(B)mount\
		$(B)mv $(B)od $(B)passwd $(B)pr $(B)pwd\
		$(B)rm $(B)rmdir $(B)sleep $(B)sort $(B)strings\
		$(B)stty $(B)su $(B)sync $(B)tail $(B)tee\
		$(B)test $(B)time $(B)touch $(B)tr $(B)tty\
		$(B)umount $(B)uniq $(B)update $(B)wc $(B)who

all:		$(ALL)


$(B)at:		o.at
		link -r -o $@ $? $(L)
$(B)atrun:	o.atrun
		link -r -o $@ $? $(L)
$(B)cat:	o.cat
		link -r -o $@ $? $(L)
$(B)chmod:	o.chmod
		link -r -o $@ $? $(L)
$(B)chown:	o.chown
		link -r -o $@ $? $(L)
$(B)cmp:	o.cmp
		link -r -o $@ $? $(L)
$(B)comm:	o.comm
		link -r -o $@ $? $(L)
$(B)coredump:	o.coredump
		link -r -o $@ $? $(L)
$(B)cp:		o.cp
		link -r -o $@ $? $(L)
$(B)cron:	o.cron
		link -r -o $@ $? $(L)
$(B)date:	o.date
		link -r -o $@ $? $(L)
$(B)df:		o.df
		link -r -o $@ $? $(L)
$(B)diff:	o.diff
		link -r -o $@ $? $(L)
$(B)du:		o.du
		link -r -o $@ $? $(L)
$(B)echo:	o.echo
		link -r -o $@ $? $(L)
$(B)expr:	o.expr
		link -r -o $@ $? $(L)
$(B)fgrep:	o.fgrep
		link -r -o $@ $? $(L)
$(B)file:	o.file
		link -r -o $@ $? $(L)
$(B)find:	o.find
		link -r -o $@ $? $(L)
$(B)fsck:	o.fsck
		link -r -o $@ $? $(L)
$(B)getty:	o.getty
		link -r -o $@ $? $(L)
$(B)grep:	o.grep
		link -r -o $@ $? $(L)
$(B)id:		o.id
		link -r -o $@ $? $(L)
$(B)inodes:	o.inodes
		link -r -o $@ $? $(L)
$(B)kill:	o.kill
		link -r -o $@ $? $(L)
$(B)ln:		o.ln
		link -r -o $@ $? $(L)
$(B)login:	o.login
		link -r -o $@ $? $(L)
$(B)ls:		o.ls
		link -r -o $@ $? $(L)
$(B)machine:	o.machine
		link -r -o $@ $? $(L)
$(B)mkdir:	o.mkdir
		link -r -o $@ $? $(L)
$(B)mkfs:	o.mkfs
		link -r -o $@ $? $(L)
$(B)mknod:	o.mknod
		link -r -o $@ $? $(L)
$(B)mkproto:	o.mkproto
		link -r -o $@ $? $(L)
$(B)more:	o.more
		link -r -o $@ $? $(L)
$(B)mount:	o.mount
		link -r -o $@ $? $(L)
$(B)mv:		o.mv
		link -r -o $@ $? $(L)
$(B)od:		o.od
		link -r -o $@ $? $(L)
$(B)passwd:	o.passwd
		link -r -o $@ $? $(L)
$(B)pr:		o.pr
		link -r -o $@ $? $(L)
$(B)pwd:	o.pwd
		link -r -o $@ $? $(L)
$(B)rm:		o.rm
		link -r -o $@ $? $(L)
$(B)rmdir:	o.rmdir
		link -r -o $@ $? $(L)
$(B)sleep:	o.sleep
		link -r -o $@ $? $(L)
$(B)sort:	o.sort
		link -r -o $@ $? $(L)
$(B)strings:	o.strings
		link -r -o $@ $? $(L)
$(B)stty:	o.stty
		link -r -o $@ $? $(L)
$(B)su:		o.su
		link -r -o $@ $? $(L)
$(B)sync:	o.sync
		link -r -o $@ $? $(L)
$(B)tail:	o.tail
		link -r -o $@ $? $(L)
$(B)tee:	o.tee
		link -r -o $@ $? $(L)
$(B)test:	o.test
		link -r -o $@ $? $(L)
$(B)time:	o.time
		link -r -o $@ $? $(L)
$(B)touch:	o.touch
		link -r -o $@ $? $(L)
$(B)tr:		o.tr
		link -r -o $@ $? $(L)
$(B)tty:	o.tty
		link -r -o $@ $? $(L)
$(B)umount:	o.umount
		link -r -o $@ $? $(L)
$(B)uniq:	o.uniq
		link -r -o $@ $? $(L)
$(B)update:	o.update
		link -r -o $@ $? $(L)
$(B)wc:		o.wc
		link -r -o $@ $? $(L)
$(B)who:	o.who
		link -r -o $@ $? $(L)
