; >$.minix.usr.s.tstdrv
;
; Testmodul fuer den AOS-Minix-Treiber
;
; (C) 30/11/89 Martin Patzel
;


		ORG	&8000


		GET	$.arm.aslib.register
		GET	$.arm.aslib.arthur
		GET	$.arm.aslib.constants
		GET	$.arm.aslib.macros

		GET	h.aosdriver
		GET	h.asconst



;==============================================================================
; start
;
; Hauptprogramm
;
; in  :	-
; out :	-
;==============================================================================
start
		InitMem
		InitSP	#&400
		InitMac


;==============================================================================
; Test: MX_DiskParms
;==============================================================================
		MOV	R0, #-1		; #Laufwerke holen
		SWI	MX_DiskParms
		MOV	R7, R0
dparm_2		LDR	R1, [R0], #4	; Laufwerksnummer holen
		CMP	R1, #0
		BLT	dparm_1
		RPrint	"found drive ", R1
		B	dparm_2
dparm_1		NLPrint


dparm_4		LDR	R0, [R7], #4
		CMP	R0, #0
		BLT	dparm_3
		BIC	R1, R0, #&FF000000
		BIC	R1, R1, #&00FF0000
		MOV	R0, R0, LSR #16
		ADR	R2, buffer
		RPrint	"R0=",R0
		RPrint	"R1=",R1
		RPrint	"R2=",R2
		SWI	MX_DiskParms
		LDR	R3, buffer
		RPrint	"size=",R3
		B	dparm_4
dparm_3		NLPrint

;==============================================================================
; Test: MX_DiskIO
;==============================================================================
		MOV	R0, #-1
		SWI	MX_DiskParms
		MOV	R7, R0
dio_1		MOV	R0, #1		; read
		LDR	R1, [R7], #4
		CMP	R1, #0
		BLT	dio_4		; Ende!
		RPrint	"testing drive ", R1
		BIC	R2, R1, #&FF000000
		BIC	R2, R2, #&00FF0000
		MOV	R1, R1, LSR #16
		MOV	R3, #0		; Sektornummer
		MOV	R4, #1		; # Sektoren
		ADRL	R5, buffer	; Memory-Puffer
		SWI	MX_DiskIO+XBit
		BVC	dio_2
		SPrint	"read error!"
		NLPrint
dio_2		MOV	R0, #0		; write
		SWI	MX_DiskIO+XBit
		BVC	dio_3
		SPrint	"write error!"
		NLPrint
dio_3		B	dio_1

dio_4		NLPrint



		SWI	OS_Exit


;
;============== DATA SECTION ==================================================
;

		ALIGN

buffer		%	512
macbuf		DCD	0

end		EQU	.
		END
