		GET	$.arm.aslib.register

		AREA	|C$$code|, CODE, READONLY

		EXPORT	begsig
		IMPORT	|__vectab|
		IMPORT	|_M|

mtype		EQU	4			; M+mtype = &M.m_type


begsig		
		STMDB	SP!, {R0-R11,R13,LK}	; save all registers, not SP
		LDR	R0, p_M
		LDR	R0, [R0, #mtype]	; fetch status of last msg
		STMDB	SP!, {R0}
		ADD	R0, SP, #15*4		; pointer to signal data
		LDMIA	R0!, {R1, R2}		; get signal number and LK
		STMIA	R0, {R1, R2}		; kernel produced 2 dummies!
		MOV	R0, R1			; signal number as arg to func
		SUB	R1, R1, #1		; first signal is 1
		LDR	R2, pvectab
		ADR	LK, go_on
		LDR	PC, [R2, R1, LSL #2]	; jump to subroutine
go_on		LDMIA	SP!, {R0}		; status of last msg
		LDR	R1, p_M
		STR	R0, [R1, #mtype]
		LDMIA	SP!, {R0-R11,R13,LK}	; restore registers
		ADD	SP, SP, #3*4		; skip dummies and sig no
		LDMIA	SP!, {PC}^		; return to interrupted program

pvectab		DCD	|__vectab|
p_M		DCD	|_M|


;_begsig:
;        mov bx,_vectab(bx)      | bx = address of routine to call
;        push _M+mtype           | push status of last system call
;        push ax                 | func called with signal number as arg
;        call (bx)
;back:
;        pop ax                  | get signal number off stack
;        pop _M+mtype            | restore status of previous system call
;        pop dummy               | remove signal number from stack
;        iret

		END
