; >$.minix.usr.s.tstdrv
;
; Testmodul fuer den AOS-Minix-Treiber
;
; (C) 30/11/89 Martin Patzel
;


		ORG	&8000


		GET	$.arm.aslib.register
		GET	$.arm.aslib.arthur
		GET	$.arm.aslib.constants
		GET	$.arm.aslib.macros

		GET	h.aosdriver
		GET	h.asconst


;==============================================================================
; start
;
; Hauptprogramm
;
; in  :	-
; out :	-
;==============================================================================
start
		InitMem
		InitSP	#&400
		InitMac


;==============================================================================
; Test: MX_EnterSVC
;==============================================================================
		MOV	R0, SP
		RPrint	"SP=", R0
		RPrint	"PC=", PC
		SPrint	"Entering SVC-Mode"
		NLPrint
		MOV	R0, SP
		SWI	MX_EnterSVC
		MOV	R1, SP
		MOV	SP, R0
		RPrint	"SP_vorher =", R0
		RPrint	"SP_nachher=", R1
		RPrint	"PC=", PC
		SPrint	"Disabling all Interrupts, setting all flags"
		NLPrint
		TEQP	R0, #&FC000003
		RPrint	"PC=", PC
		SPrint	"Entering Usermode & resetting all flags"
		NLPrint
		TEQP	R0, #&00000000
		NOP
		RPrint	"PC=", PC
		NLPrint


;==============================================================================
; Test: MX_SetVector
;==============================================================================
		MOV	R0, #SV_ClockVec
		ADRL	R1, clock_routine
		SWI	MX_SetVector
clockloop	B	clockloop

clock_routine
		STMDB	R13!, {R8,R12,LK}
		MOV	R12, R13
		LDR	R8, clkcnt
		ADDS	R8, R8, #1
		CMP	R8, #50
		MOVEQ	R8, #0
		STR	R8, clkcnt
		BNE	clockover
		SPrint	"Hello "
clockover	LDMIA	R13!, {R8,R12,LK}
		SUBS	PC, LK, #4
clkcnt		DCD	0


		SWI	OS_Exit


;
;============== DATA SECTION ==================================================
;

		ALIGN

macbuf		DCD	0

end		EQU	.
		END
