

MEMORY
{
	RAM (rwx):   ORIGIN = 0xc0000000, LENGTH = 256k 
	STACK (rw): ORIGIN = 0x8c198000, LENGTH = 65536
}


SECTIONS
{
  .text :
  {
    entry.o(.text)
    *(.text)
    *(.rodata)
  } > RAM
  .data ALIGN(4096):
  {
    *(.data)
  } > RAM
  . = ALIGN(4);
  ___bss_start = .;		/* BSS */
  .bss :
  {
    *(.bss)
    *(COMMON)
  } > RAM
  . = ALIGN(4);
  _end = .;
  ___bss_end = .;
  .stack  ALIGN(4096) :
  {
    . += 4k ; 
    *(.stack)
  } > RAM
  . = ALIGN(4);
  ___stk_start = .;		/* Stack */
}
