
#include <uart.h>
#include <stdlib.h>

int getc () {

	int e;
	int s= awaitkey(1000, e);
	printf("[%d]", e);
	return s;
}
	
int awaitkey(unsigned long delay, int *error_p)
{
  unsigned long i = delay;
  int c;
  int errors = 0;

  while (1) {
    i = delay;
    {
       while ((!((*(volatile long *)SA1100_UART3_UTSR1) & SA1100_UTSR1_RNE)) &&
i)
          i--;
    }

    if (i) {
      errors = 0;
      c = *(volatile long *)SA1100_UART3_UTDR;
      errors = (*(volatile long *)SA1100_UART3_UTSR1) & SA1100_UTSR1_ERROR_MASK;
      if (!errors) /* if no receive errors found.. */
        break; /* get out of here */
    } else {
      c = 0; /* no one pressed a key. return a NULL and get out of here */
      errors = -1;
      break;
    }
  }
  if (error_p != NULL)
    *error_p = errors;
  return(c);
}

